com.fasterxml.jackson.databind.util.internal

## Class PrivateMaxEntriesMap.Builder<K,V>

- java.lang.Object
- - com.fasterxml.jackson.databind.util.internal.PrivateMaxEntriesMap.Builder<K,V>

Enclosing class:
  PrivateMaxEntriesMap<K,V>

    public static final class PrivateMaxEntriesMap.Builder<K,V>
    extends Object

A builder that creates `PrivateMaxEntriesMap` instances. It provides a flexible approach for constructing customized instances with a named parameter syntax. It can be used in the following manner:

     ConcurrentMap<Vertex, Set<Edge>> graph = new Builder<Vertex, Set<Edge>>()
         .maximumCapacity(5000)
         .build();

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PrivateMaxEntriesMap<K,V>` `build()` Creates a new `PrivateMaxEntriesMap` instance.
`PrivateMaxEntriesMap.Builder<K,V>` `concurrencyLevel(int concurrencyLevel)` Specifies the estimated number of concurrently updating threads.
`PrivateMaxEntriesMap.Builder<K,V>` `initialCapacity(int initialCapacity)` Specifies the initial capacity of the hash table (default `16`).
`PrivateMaxEntriesMap.Builder<K,V>` `listener(com.fasterxml.jackson.databind.util.internal.EvictionListener<K,V> listener)` Specifies an optional listener that is registered for notification when an entry is evicted.
`PrivateMaxEntriesMap.Builder<K,V>` `maximumCapacity(long capacity)` Specifies the maximum capacity to coerce the map to and may exceed it temporarily.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### initialCapacity

    public PrivateMaxEntriesMap.Builder<K,V> initialCapacity(int initialCapacity)

Specifies the initial capacity of the hash table (default `16`). This is the number of key-value pairs that the hash table can hold before a resize operation is required.

Parameters:
  `initialCapacity` - the initial capacity used to size the hash table to accommodate this many entries.
Throws:
  `IllegalArgumentException` - if the initialCapacity is negative

#### maximumCapacity

    public PrivateMaxEntriesMap.Builder<K,V> maximumCapacity(long capacity)

Specifies the maximum capacity to coerce the map to and may exceed it temporarily.

Parameters:
  `capacity` - the threshold to bound the map by
Throws:
  `IllegalArgumentException` - if the maximumCapacity is negative

#### concurrencyLevel

    public PrivateMaxEntriesMap.Builder<K,V> concurrencyLevel(int concurrencyLevel)

Specifies the estimated number of concurrently updating threads. The implementation performs internal sizing to try to accommodate this many threads (default `16`).

Parameters:
  `concurrencyLevel` - the estimated number of concurrently updating threads
Throws:
  `IllegalArgumentException` - if the concurrencyLevel is less than or equal to zero

#### listener

    public PrivateMaxEntriesMap.Builder<K,V> listener(com.fasterxml.jackson.databind.util.internal.EvictionListener<K,V> listener)

Specifies an optional listener that is registered for notification when an entry is evicted.

Parameters:
  `listener` - the object to forward evicted entries to
Throws:
  `NullPointerException` - if the listener is null

#### build

    public PrivateMaxEntriesMap<K,V> build()

Creates a new `PrivateMaxEntriesMap` instance.

Throws:
  `IllegalStateException` - if the maximum capacity was not set